# PhasicFlow: Ostream Class Reference

Ostream Class Reference
Inheritance diagram for Ostream:
[legend]
Collaboration diagram for Ostream:
[legend]

## Public Member Functions

| Ostream (std::ostream &os, const word &streamName)
| Ostream (const Ostream &)=delete
void | operator= (const Ostream &)=delete
virtual const word & | name () const
virtual word & | name ()
virtual ios_base::fmtflags | flags () const
virtual bool | write (const token &tok) override
virtual iOstream & | write (const char c) override
virtual iOstream & | write (const char *str) override
virtual iOstream & | write (const word &str) override
virtual iOstream & | writeQuoted (const word &str, const bool quoted=true) override
virtual iOstream & | write (const int64 val) override
virtual iOstream & | write (const int32 val) override
virtual iOstream & | write (const label val) override
virtual iOstream & | write (const uint32 val) override
virtual iOstream & | write (const uint16 val) override
virtual iOstream & | write (const float val) override
virtual iOstream & | write (const double val) override
virtual void | indent ()
virtual ios_base::fmtflags | flags (const ios_base::fmtflags f)
virtual void | flush ()
virtual void | endl ()
virtual char | fill () const
virtual char | fill (const char fillch)
virtual int | width () const
virtual int | width (const int w)
virtual int | precision () const
virtual int | precision (const int p)
virtual std::ostream & | stdStream ()
virtual const std::ostream & | stdStream () const
Public Member Functions inherited from iOstream
| iOstream ()
| iOstream (const iOstream &)=default
virtual | ~iOstream ()=default
unsigned short | indentSize () const
unsigned short & | indentSize ()
unsigned short | indentLevel () const
unsigned short & | indentLevel ()
void | incrIndent ()
void | decrIndent ()
virtual iOstream & | beginBlock (const word &kw)
virtual iOstream & | beginBlock ()
virtual iOstream & | endBlock ()
virtual iOstream & | beginList ()
virtual iOstream & | beginList (const word &kw)
virtual iOstream & | endList ()
virtual iOstream & | beginSquare ()
virtual iOstream & | beginSquare (const word &kw)
virtual iOstream & | endSquare ()
virtual iOstream & | endEntry ()
virtual iOstream & | newLine ()
virtual iOstream & | space (int32 n=1)
virtual iOstream & | writeWordKeyword (const word &kw)
template<class T >
iOstream & | writeWordEntry (const word &key, const T &value)
iOstream & | operator() () const
Public Member Functions inherited from IOstream
| IOstream ()
| IOstream (const IOstream &)=default
virtual | ~IOstream ()=default
virtual bool | check (const char *operation) const
bool | fatalCheck (const char *operation) const
bool | opened () const
bool | closed () const
bool | good () const
bool | eof () const
bool | fail () const
bool | bad () const
| operator bool () const
bool | operator! () const
int32 | lineNumber () const
int32 & | lineNumber ()
int32 | lineNumber (const int32 num)
void | setEof ()
void | setFail ()
void | setBad ()
ios_base::fmtflags | setf (const ios_base::fmtflags f)
ios_base::fmtflags | setf (const ios_base::fmtflags f, const ios_base::fmtflags mask)
void | unsetf (const ios_base::fmtflags f)

## Private Attributes

word | name_
std::ostream & | os_

## Additional Inherited Members

Public Types inherited from IOstream
enum | streamAccess : char { CLOSED = 0, OPENED }
Static Public Member Functions inherited from IOstream
static unsigned int | defaultPrecision ()
static unsigned int | defaultPrecision (unsigned int prec)
Static Public Attributes inherited from IOstream
static unsigned int | precision_ = 6
Protected Member Functions inherited from IOstream
void | setOpened ()
void | setClosed ()
void | setState (ios_base::iostate state)
void | setGood ()
Protected Attributes inherited from iOstream
unsigned short | indentSize_ = 4
unsigned short | indentLevel_ = 0
Protected Attributes inherited from IOstream
streamAccess | openClosed_
ios_base::iostate | ioState_
int32 | lineNumber_
Static Protected Attributes inherited from iOstream
static constexpr const unsigned short | entryIndentation_ = 16
Static Protected Attributes inherited from IOstream
static word | staticName_

## Detailed Description

Definition at line 35 of file Ostream.hpp.

## Constructor & Destructor Documentation

## Ostream() [1/2]

Ostream | ( | std::ostream & | os,
|  | const word & | streamName
| ) |  |

Definition at line 29 of file Ostream.cpp.

## Ostream() [2/2]

Ostream | ( | const Ostream & |  | ) |

delete

## Member Function Documentation

## operator=()

void operator= | ( | const Ostream & |  | ) |

delete

## name() [1/2]

virtual const word& name | ( |  | ) | const

inlinevirtual

Reimplemented from IOstream.

Definition at line 61 of file Ostream.hpp.

References Ostream::name_.

## name() [2/2]

virtual word& name | ( |  | ) |

inlinevirtual

Reimplemented from IOstream.

Definition at line 67 of file Ostream.hpp.

References Ostream::name_.

## flags() [1/2]

std::ios_base::fmtflags flags | ( |  | ) | const

virtual

Implements IOstream.

Definition at line 257 of file Ostream.cpp.

## write() [1/11]

bool write | ( | const token & | tok | ) |

overridevirtual

Implements iOstream.

Definition at line 52 of file Ostream.cpp.

References token::type(), token::wordToken(), and Ostream::writeQuoted().

Here is the call graph for this function:

## write() [2/11]

pFlow::iOstream & write | ( | const char | c | ) |

overridevirtual

Implements iOstream.

Definition at line 79 of file Ostream.cpp.

References token::NL.

## write() [3/11]

pFlow::iOstream & write | ( | const char * | str | ) |

overridevirtual

Implements iOstream.

Definition at line 91 of file Ostream.cpp.

References pFlow::countChar(), and token::NL.

Here is the call graph for this function:

## write() [4/11]

pFlow::iOstream & write | ( | const word & | str | ) |

overridevirtual

Implements iOstream.

Definition at line 100 of file Ostream.cpp.

## writeQuoted()

pFlow::iOstream & writeQuoted | ( | const word & | str,
|  | const bool | quoted = `true`
| ) |  |

overridevirtual

Implements iOstream.

Definition at line 109 of file Ostream.cpp.

References token::BEGIN_STRING, pFlow::countChar(), token::END_STRING, and token::NL.

Referenced by Ostream::write().

Here is the call graph for this function:
Here is the caller graph for this function:

## write() [5/11]

pFlow::iOstream & write | ( | const int64 | val | ) |

overridevirtual

Implements iOstream.

Definition at line 168 of file Ostream.cpp.

## write() [6/11]

pFlow::iOstream & write | ( | const int32 | val | ) |

overridevirtual

Implements iOstream.

Definition at line 176 of file Ostream.cpp.

## write() [7/11]

pFlow::iOstream & write | ( | const label | val | ) |

overridevirtual

Implements iOstream.

Definition at line 197 of file Ostream.cpp.

## write() [8/11]

pFlow::iOstream & write | ( | const uint32 | val | ) |

overridevirtual

Implements iOstream.

Definition at line 204 of file Ostream.cpp.

## write() [9/11]

pFlow::iOstream & write | ( | const uint16 | val | ) |

overridevirtual

Implements iOstream.

Definition at line 211 of file Ostream.cpp.

## write() [10/11]

pFlow::iOstream & write | ( | const float | val | ) |

overridevirtual

Implements iOstream.

Definition at line 218 of file Ostream.cpp.

## write() [11/11]

pFlow::iOstream & write | ( | const double | val | ) |

overridevirtual

Implements iOstream.

Definition at line 226 of file Ostream.cpp.

## indent()

void indent | ( |  | ) |

virtual

Implements iOstream.

Definition at line 235 of file Ostream.cpp.

## flags() [2/2]

std::ios_base::fmtflags flags | ( | const ios_base::fmtflags | f | ) |

virtual

Implements IOstream.

Definition at line 263 of file Ostream.cpp.

## flush()

void flush | ( |  | ) |

virtual

Implements iOstream.

Definition at line 244 of file Ostream.cpp.

## endl()

void endl | ( |  | ) |

virtual

Implements iOstream.

Definition at line 250 of file Ostream.cpp.

## fill() [1/2]

char fill | ( |  | ) | const

virtual

Implements iOstream.

Definition at line 271 of file Ostream.cpp.

## fill() [2/2]

char fill | ( | const char | fillch | ) |

virtual

Implements iOstream.

Definition at line 277 of file Ostream.cpp.

## width() [1/2]

int width | ( |  | ) | const

virtual

Implements iOstream.

Definition at line 283 of file Ostream.cpp.

## width() [2/2]

int width | ( | const int | w | ) |

virtual

Implements iOstream.

Definition at line 289 of file Ostream.cpp.

## precision() [1/2]

int precision | ( |  | ) | const

virtual

Implements iOstream.

Definition at line 295 of file Ostream.cpp.

Referenced by stlFile::write().

Here is the caller graph for this function:

## precision() [2/2]

int precision | ( | const int | p | ) |

virtual

Implements iOstream.

Definition at line 301 of file Ostream.cpp.

## stdStream() [1/2]

virtual std::ostream& stdStream | ( |  | ) |

inlinevirtual

Definition at line 150 of file Ostream.hpp.

References Ostream::os_.

## stdStream() [2/2]

virtual const std::ostream& stdStream | ( |  | ) | const

inlinevirtual

Definition at line 156 of file Ostream.hpp.

References Ostream::os_.

## Member Data Documentation

## name_

word name_

private

Definition at line 40 of file Ostream.hpp.

Referenced by Ostream::name().

## os_

std::ostream& os_

private

Definition at line 42 of file Ostream.hpp.

Referenced by Ostream::stdStream().

The documentation for this class was generated from the following files:

- src/phasicFlow/streams/Stream/Ostream.hpp
- src/phasicFlow/streams/Stream/Ostream.cpp